# $Revision: 1.46 $, $Date: 2011/11/07 20:54:14 $
Summary:	Creates a common metadata repository
Summary(pl.UTF-8):	Tworzenie wspólnego repozytorium metadanych
Name:		createrepo
Version:	0.9.9
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://createrepo.baseurl.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	10641f19a40e9f633b300e23dde00349
URL:		http://createrepo.baseurl.org/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%pyrequires_eq  python
Requires:	python-deltarpm
Requires:	python-libxml2
Requires:	python-rpm
Requires:	yum >= 3.2.23
Requires:	yum-metadata-parser >= 1.1.1-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility will generate a common metadata repository from a
directory of RPM packages.

%description -l pl.UTF-8
To narzędzie tworzy wspólne repozytorium metadanych z katalogu
pakietów RPM.

%prep
%setup -q

%{__sed} -i -e '1s,#!.*python,#!%{__python},' modifyrepo.py

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PKGDIR=%{py_sitescriptdir}/%{name} \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/createrepo
%attr(755,root,root) %{_bindir}/mergerepo
%attr(755,root,root) %{_bindir}/modifyrepo
%dir %{_datadir}/%{name}
# note that these DO NEED executable bit set!
%attr(755,root,root) %{_datadir}/%{name}/genpkgmetadata.py*
%attr(755,root,root) %{_datadir}/%{name}/mergerepo.py*
%attr(755,root,root) %{_datadir}/%{name}/modifyrepo.py*
%attr(755,root,root) %{_datadir}/%{name}/worker.py*
%dir %{py_sitescriptdir}/createrepo
%{py_sitescriptdir}/createrepo/*.py[co]
%{_mandir}/man1/mergerepo.1*
%{_mandir}/man1/modifyrepo.1*
%{_mandir}/man8/createrepo.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: createrepo.spec,v $
Revision 1.46  2011/11/07 20:54:14  glen
- imports deltarpm py module

Revision 1.45  2011/11/07 20:23:16  glen
- up to 0.9.9

Revision 1.44  2010/07/08 07:42:20  arekm
- release 2

Revision 1.43  2009/08/29 11:50:04  glen
- update to 0.9.8

Revision 1.42  2009/08/05 23:00:04  hawk
- updated to 0.9.7

Revision 1.41  2009/02/23 12:09:20  arekm
- release 2

Revision 1.40  2009/01/14 20:01:24  duddits
- up to 0.9.6
- patch updated
- more %files

Revision 1.39  2008/10/03 17:41:35  arekm
- release 4

Revision 1.38  2008/09/01 19:49:19  patrys
- fixy typo
- rel 3

Revision 1.37  2008-04-25 23:00:26  glen
- release 2

Revision 1.36  2008-04-25 23:00:04  glen
- update to 0.9.5

Revision 1.35  2008-02-29 17:50:27  glen
- depend on yum which has disabled missingok patch; rel 3

Revision 1.34  2008-01-09 19:57:04  glen
- fix amd64 build; rel 2

Revision 1.33  2008-01-09 19:24:51  glen
- use yum with updated missingok patch; rel 1

Revision 1.32  2008-01-09 18:24:10  glen
- no extra dep for /usr/bin/env

Revision 1.31  2008-01-09 18:22:39  glen
- R: yum for rpmUtils

Revision 1.30  2008-01-09 18:17:09  glen
- python 2.5 for hashlib

Revision 1.29  2008-01-09 18:14:00  glen
- missing dir

Revision 1.28  2008-01-09 18:09:50  glen
- packaging, needs testing

Revision 1.27  2008-01-09 18:07:08  glen
- 0.9.1 tarball, missingok patch needs review

Revision 1.26  2007-12-19 19:33:42  zbyniu
- up to 0.4.11

Revision 1.25  2007-06-21 20:44:38  arekm
- keep pyc/pyo files

Revision 1.24  2007/06/21 20:39:05  arekm
- fix perms + note

Revision 1.23  2007/06/21 20:36:05  arekm
- up to 0.4.10

Revision 1.22  2007/05/28 20:45:33  wiget
- python-sqlite1 isn't used by this pacakge but by yum-metadata-parser, R: fixed version
- relase 3

Revision 1.21  2007/05/28 13:42:29  czarny
- R: python-sqlite1; won't work without it

Revision 1.20  2007/05/26 19:09:37  patrys
- add missingok handling

Revision 1.19  2007/05/24 16:13:59  wiget
- R: yum-metadata-parser (not yet in PLD repo - waiting for patrys ;-] )

Revision 1.18  2007/05/24 09:53:23  patrys
- 0.4.8

Revision 1.17  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.15  2006/08/30 18:42:02  glen
- 0.4.6

Revision 1.14  2006/05/17 19:59:06  glen
- truncate non-pld changelog
- rpm-pythonprov still needed

Revision 1.13  2005/07/25 10:52:13  blekot
- up to 0.4.3

Revision 1.12  2005/07/07 16:11:30  aredridel
- fix permissions

Revision 1.11  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.10  2005/01/21 21:48:48  czucz
- updated to 0.4.2
- added manual

Revision 1.9  2004/12/25 17:55:31  qboosh
- cleanups

Revision 1.8  2004/12/23 19:56:07  saq
- release 2 for rebuild with python 2.4

Revision 1.7  2004/10/31 10:30:12  darekr
- updated to 0.4.1

Revision 1.6  2004/10/06 18:50:09  darekr
- updated to 0.3.9

Revision 1.5  2004/09/25 19:05:49  darekr
- updated to 0.3.8

Revision 1.4  2004/08/30 18:20:17  darekr
- update to 0.3.6, add md5sum

Revision 1.3  2004/07/28 08:03:13  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.2  2004/07/24 16:28:35  qboosh
- pl, cleanups

Revision 1.1  2004/07/23 20:03:14  arekm
- initial pld release (it would be nice if poldek supported this kind of repo)
